Name: bash
Summary: The GNU Bourne Again shell (bash) version %{version}
Version: 3.2
Release: 1
Group: System Environment/Shells
License: GPLv2+
Url: http://www.gnu.org/software/bash
Source0: ftp://ftp.gnu.org/gnu/bash/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/bash/%{name}-%{version}.tar.gz.sig
Source2: ftp://ftp.gnu.org/gnu/bash/%{name}-doc-%{version}.tar.gz
Source3: ftp://ftp.gnu.org/gnu/bash/%{name}-doc-%{version}.tar.gz.sig
# Official upstream patches
Patch1: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-001
Patch2: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-002
Patch3: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-003
Patch4: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-004
Patch5: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-005
Patch6: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-006
Patch7: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-007
Patch8: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-008
Patch9: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-009
Patch10: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-010
Patch11: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-011
Patch12: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-012
Patch13: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-013
Patch14: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-014
Patch15: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-015
Patch16: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-016
Patch17: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-017
Patch18: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-018
Patch19: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-019
Patch20: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-020
Patch21: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-021
Patch22: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-022
Patch23: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-023
Patch24: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-024
Patch25: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-025
Patch26: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-026
Patch27: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-027
Patch28: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-028
Patch29: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-029
Patch30: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-030
Patch31: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-031
Patch32: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-032
Patch33: ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-033

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: bison

%description
The GNU Bourne Again shell (Bash) is a shell or command language
interpreter that is compatible with the Bourne shell (sh). Bash
incorporates useful features from the Korn shell (ksh) and the C shell
(csh). Most sh scripts can be run by bash without modification. This
package (bash) contains bash version %{version}, which improves POSIX
compliance over previous versions.


%package doc
Group: Documentation
Summary: Documentation for the GNU Bourne Again shell (bash).
# Must keep this; have renamed the package from bash2
Obsoletes: bash2-doc

%description doc
The bash-doc package contains documentation for the GNU bash shell.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -a 2
# Official upstream patches
%patch1 -p0 -b .001
%patch2 -p0 -b .002
%patch3 -p0 -b .003
%patch4 -p0 -b .004
%patch5 -p0 -b .005
%patch6 -p0 -b .006
%patch7 -p0 -b .007
%patch8 -p0 -b .008
%patch9 -p0 -b .009
%patch10 -p0 -b .010
%patch11 -p0 -b .011
%patch12 -p0 -b .012
%patch13 -p0 -b .013
%patch14 -p0 -b .014
%patch15 -p0 -b .015
%patch16 -p0 -b .016
%patch17 -p0 -b .017
%patch18 -p0 -b .018
%patch19 -p0 -b .019
%patch20 -p0 -b .020
%patch21 -p0 -b .021
%patch22 -p0 -b .022
%patch23 -p0 -b .023
%patch24 -p0 -b .024
%patch25 -p0 -b .025
%patch26 -p0 -b .026
%patch27 -p0 -b .027
%patch28 -p0 -b .028
%patch29 -p0 -b .029
%patch30 -p0 -b .030
%patch31 -p0 -b .031
%patch32 -p0 -b .032
%patch33 -p0 -b .033

echo %{version} > _distribution
echo %{release} > _patchlevel


%build
./configure \
    --prefix=%{_prefix} \
    --with-included-gettext


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

cp doc/builtins.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

mkdir -p ${RPM_BUILD_ROOT}/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
ln -sf ../..%{_bindir}/bash ${RPM_BUILD_ROOT}/bin/bash
ln -sf ../..%{_prefix}/bin/bashbug $RPM_BUILD_ROOT/usr/bin/bashbug

{ cd $RPM_BUILD_ROOT
  cd bin
  ln -sf bash bash2
  cd ../usr/bin
  ln -sf bashbug bash2bug
}


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system)
%doc CHANGES COMPAT NEWS NOTES POSIX
%doc doc/FAQ doc/INTRO doc/article.ms doc/article.txt
%doc -P examples/bashdb/ examples/functions/ examples/misc/
%doc -P examples/scripts.noah/ examples/scripts.v2/ examples/scripts/
%doc -P examples/startup-files/ examples/complete/
%{_bindir}/*
%{_infodir}/bash.info*
%{_mandir}/man1/*
%{_datadir}/locale/*
/bin/bash*
/usr/bin/bash*


%files doc
%defattr(-,root,system)
%doc doc/*.html doc/*.ps doc/*.pdf


%changelog
* Tue Mar 18 2008 Michael Perzl <michael@perzl.org> - 3.2-1
- first version for AIX V5.1 and higher
